# WCC_Run.R
# THis script runs all code necessary to produce the relevant display itemsC.  
# Aut: Benjamin Campbell
# Date: 03/07/2019

# Step 1: Establish the location of the WCC_ReplicationArchive folder on your local computer.
# For ex:
WD <- "~/Desktop/WCC_ReplicationArchive"
setwd(WD)

# Step 2: Install all relevant packages needed to compile the analyses
used <- c("survival", "parallel", "Rmisc", "devtools", "stringr", "plyr", "igraph", "tnam", "lubridate", "ggplot2", "reshape2")

needed <- setdiff(used, installed.packages()[,"Package"])
if(length(needed) > 0){
  install.packages(needed)
}

# This is a package currently housed on Ben's GitHub, it should be available on CRAN by the time you use this archive
devtools::install_github("benjamin-w-campbell/coxtools")

# Step 3: Replicate analyses by sourcing WCC_Replication.R, this will take several hours.
# First, determine if you want to rewrite the data, or use the previously compiled versions.  The latter will save you a great deal of time.
recompile = TRUE
source("WCC_Replication.R", print.eval = TRUE)

# Write local session info
sink("LocalSessionInfo.txt")
sessionInfo()
sink()

# Step 4: Examine results written to "Output" folder and determine if they are the same as those presented in manuscript.  
  # If so, great! If not, proceed to Step 5.

# Step 5: Examine discrepancies between "LocalSessionInfo.txt" and "OriginalSessionInfo.txt".
